import { AfterViewInit, ChangeDetectorRef, ElementRef, QueryList } from "@angular/core";
import { Router } from "@angular/router";
import { ToolbarButton } from "./constants";
export declare class RSToolbarComponent implements AfterViewInit {
    router: Router;
    private ref;
    buttons: ToolbarButton[];
    disabledOptions: {
        [key: string]: any;
    };
    toolbarContainer: ElementRef;
    buttonElements: QueryList<ElementRef>;
    constructor(router: Router, ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    visibleButtons: ToolbarButton[];
    hiddenButtons: ToolbarButton[];
    updateButtonVisibility(): void;
    onWindowResize(): void;
}
